Loading...
Searching...
No Matches
gridfire::exceptions::NetworkResizedError Class Referencefinal

Exception for errors during network resizing. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::NetworkResizedError:
[legend]
Collaboration diagram for gridfire::exceptions::NetworkResizedError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for errors during network resizing.

This exception is thrown when the engine encounters an error while attempting to resize the reaction network, such as when adding or removing species or reactions.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h